Debian Bug report logs - #488441
Installation failed on HPPA D9000 D390

version graph

Package: rootskel; Maintainer for rootskel is Debian Install System Team <debian-boot@lists.debian.org>; Source for rootskel is src:rootskel.

Reported by: Sjoerd Simons <sjoerd@debian.org>

Date: Sat, 28 Jun 2008 22:27:01 UTC

Severity: normal

Tags: patch

Merged with 484366

Found in version rootskel/1.62

Fixed in version rootskel/1.66

Done: Otavio Salvador <otavio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#488441; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Sjoerd Simons <sjoerd@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sjoerd Simons <sjoerd@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Installation failed on HPPA D9000 D390
Date: Sat, 28 Jun 2008 23:24:37 +0100
[Message part 1 (text/plain, inline)]
Package: installation-reports
Severity: normal



-- Package-specific info:

Boot method: network
Image version: Lenny beta2 netboot
Date: Sat Jun 28 23:23:17 BST 2008

Machine: HPPA D9000 D390
Partitions: Didn't come that far

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [E]
Detect network card:    [ ]
Configure network:      [ ]
Detect CD:              [ ]
Load installer modules: [ ]
Detect hard drives:     [ ]
Partition hard drives:  [ ]
Install base system:    [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [ ]

Comments/Problems:
  Boot stops after: Freeing unused kernel memory: 228k freed

  Full log attached

  Sjoerd
[hppa-D9000-D390 (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#488441; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 488441@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 488441@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 488441@bugs.debian.org
Cc: Sjoerd Simons <sjoerd@debian.org>
Subject: Re: Bug#488441: Installation failed on HPPA D9000 D390
Date: Sun, 29 Jun 2008 01:29:36 +0200
On Sunday 29 June 2008, Sjoerd Simons wrote:
> Comments/Problems:
>   Boot stops after: Freeing unused kernel memory: 228k freed

I see:
 2: console=ttyB0

Which leads me to suspect that this may be #484366.

Can you try booting with 'BOOT_DEBUG=3' and at the debug shell removing 
the "/bin/cttyhack " bits from the ::sysinit: and ::respawn: lines in
/etc/inittab?

Cheers,
FJP




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#488441; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Sjoerd Simons <sjoerd@luon.net>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 488441@bugs.debian.org (full text, mbox):

From: Sjoerd Simons <sjoerd@luon.net>
To: 488441@bugs.debian.org
Subject: Re: Bug#488441: Installation failed on HPPA D9000 D390
Date: Sun, 29 Jun 2008 14:29:02 +0100
On Sun, Jun 29, 2008 at 01:29:36AM +0200, Frans Pop wrote:
> On Sunday 29 June 2008, Sjoerd Simons wrote:
> > Comments/Problems:
> >   Boot stops after: Freeing unused kernel memory: 228k freed
> 
> I see:
>  2: console=ttyB0
> 
> Which leads me to suspect that this may be #484366.
> 
> Can you try booting with 'BOOT_DEBUG=3' and at the debug shell removing 
> the "/bin/cttyhack " bits from the ::sysinit: and ::respawn: lines in
> /etc/inittab?

Your suspicion was absolutely right. Depending on whether or not the serial
management card is installed the console device as exposed to user-space
becomes either ttyB0 or ttyS0:

With the serial management card the kernel reports:
  console handover: boot [ttyB0] -> real [ttyB0]

while without it reports:
   console handover: boot [ttyB0] -> real [ttyS0]

The seconds case obviously matches what d-i assumes and work out of the box,
the first one only with the hack you described.

  Sjoerd
-- 
Support bacteria -- it's the only culture some people have!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#488441; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 488441@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 488441@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 488441@bugs.debian.org
Cc: Sjoerd Simons <sjoerd@luon.net>
Subject: Re: Bug#488441: Installation failed on HPPA D9000 D390
Date: Sun, 29 Jun 2008 18:30:51 +0200
reassign 488441 rootskel
forcemerge 484366 488441 
thanks

On Sunday 29 June 2008, Sjoerd Simons wrote:
> > Which leads me to suspect that this may be #484366.
> >
> > Can you try booting with 'BOOT_DEBUG=3' and at the debug shell
> > removing the "/bin/cttyhack " bits from the ::sysinit: and ::respawn:
> > lines in /etc/inittab?
>
> Your suspicion was absolutely right. Depending on whether or not the
> serial management card is installed the console device as exposed to
> user-space becomes either ttyB0 or ttyS0:
[...]

Thanks for confirming.
Help fixing this important issue is desperately needed...




Bug reassigned from package `installation-reports' to `rootskel'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sun, 29 Jun 2008 16:39:07 GMT) Full text and rfc822 format available.

Forcibly Merged 484366 488441. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sun, 29 Jun 2008 16:39:09 GMT) Full text and rfc822 format available.

Blocking bugs of 484366 added: 493865 Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Fri, 15 Aug 2008 20:57:06 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Fri, 15 Aug 2008 20:57:08 GMT) Full text and rfc822 format available.

Blocking bugs of 484366 removed: 493865 Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Tue, 26 Aug 2008 11:09:06 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Tue, 26 Aug 2008 11:09:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Oct 2008 07:27:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:04:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.